VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Types | Public Member Functions | Protected Attributes | List of all members
Filter Class Reference

`#include <filter.h>`

## Public Types
enum | Type { kLowpass, kHighpass, kBandpass, kNumTypes }

## Public Member Functions
| Filter (Type type)
void | setType (Type t)
void | setSampleRate (double sampleRate)
void | setFreqAndQ (double frequency, double q)
double | process (double sample)
void | reset ()

## Protected Attributes
Type | type
double | sampleRate
double | invSampleRate
double | in1
double | in2
double | out1
double | out2
double | b0a0
double | b1a0
double | b2a0
double | a1a0
double | a2a0

## Member Enumeration Documentation

enum Type

Enumerator
kLowpass |
kHighpass |
kBandpass |
kNumTypes |

## Constructor & Destructor Documentation

Filter | ( | Type | type | ) |
| inline

## Member Function Documentation

void setType | ( | Type | t | ) |
| inline

void setSampleRate | ( | double | sampleRate | ) |
| inline

void setFreqAndQ | ( | double | frequency,
|  | double | q
| ) |  |
| inline

double process | ( | double | sample | ) |
| inline

void reset | ( |  | ) |
| inline

## Member Data Documentation

Type type
| protected

double sampleRate
| protected

double invSampleRate
| protected

double in1
| protected

double in2
| protected

double out1
| protected

double out2
| protected

double b0a0
| protected

double b1a0
| protected

double b2a0
| protected

double a1a0
| protected

double a2a0
| protected

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.